Package org.apache.maven.scm.provider.perforce.command.edit

## Class PerforceEditConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer
  - - org.apache.maven.scm.provider.perforce.command.edit.PerforceEditConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class PerforceEditConsumer
    extends AbstractPerforceConsumer
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Mike Perham

### Field Summary

### Fields inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`output`

### Constructor Summary

Constructors
`PerforceEditConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getEdits()`
`java.lang.String` `getErrorMessage()`
`boolean` `isSuccess()`

### Methods inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`getOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceEditConsumer

    public PerforceEditConsumer()

### Method Detail

#### getEdits

    public java.util.List<ScmFile> getEdits()

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### isSuccess

    public boolean isSuccess()

#### getErrorMessage

    public java.lang.String getErrorMessage()